Skip to main content
GET
/
v2
/
transcription
/
{id}
Get the transcription job's metadata
curl --request GET \
  --url https://api.gladia.io/v2/transcription/{id} \
  --header 'x-gladia-key: <api-key>'
import requests

url = "https://api.gladia.io/v2/transcription/{id}"

headers = {"x-gladia-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-gladia-key': '<api-key>'}};

fetch('https://api.gladia.io/v2/transcription/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "45463597-20b7-4af7-b3b3-f5fb778203ab",
  "request_id": "G-45463597",
  "version": 2,
  "kind": "pre-recorded",
  "created_at": "2023-12-28T09:04:17.210Z",
  "status": "queued",
  "file": {
    "id": "f0dcZE10-23d8-47f0-a25d-74a6eed88721",
    "filename": "split_infinity.wav",
    "source": "https://files.gladia.io/example/audio-transcription/split_infinity.wav",
    "audio_duration": 20,
    "number_of_channels": 1
  },
  "request_params": {
    "audio_url": "https://files.gladia.io/example/audio-transcription/split_infinity.wav",
    "subtitles": false,
    "diarization": false,
    "translation": false,
    "summarization": false,
    "sentences": false,
    "moderation": false,
    "named_entity_recognition": false,
    "name_consistency": false,
    "custom_spelling": false,
    "structured_data_extraction": false,
    "chapterization": false,
    "sentiment_analysis": false,
    "display_mode": false,
    "audio_enhancer": false,
    "language_config": {
      "code_switching": false,
      "languages": [
        "fr",
        "en"
      ]
    },
    "accurate_words_timestamps": false,
    "diarization_enhanced": false,
    "punctuation_enhanced": false
  },
  "completed_at": null,
  "custom_metadata": null,
  "error_code": null,
  "result": null
}
{
"timestamp": "2023-12-28T09:04:17.210Z",
"path": "/v2/transcription/45463597-20b7-4af7-b3b3-f5fb778203ab",
"request_id": "G-821fe9df",
"statusCode": 401,
"message": "gladia key not found"
}
{
"timestamp": "2023-12-28T09:04:17.210Z",
"path": "/v2/transcription/45463597-20b7-4af7-b3b3-f5fb778203ab",
"request_id": "G-821fe9df",
"statusCode": 404,
"message": "Not found"
}

Authorizations

x-gladia-key
string
header
required

Your personal Gladia API key

Path Parameters

id
string
required

Id of the transcription job

Example:

"45463597-20b7-4af7-b3b3-f5fb778203ab"

Response

The transcription job's metadata

id
string<uuid>
required

Id of the job

Example:

"45463597-20b7-4af7-b3b3-f5fb778203ab"

request_id
string
required

Debug id

Example:

"G-45463597"

version
integer
required

API version

Example:

2

status
enum<string>
required

"queued": the job has been queued. "processing": the job is being processed. "done": the job has been processed and the result is available. "error": an error occurred during the job's processing.

Available options:
queued,
processing,
done,
error
created_at
string<date-time>
required

Creation date

Example:

"2023-12-28T09:04:17.210Z"

post_session_metadata
object
required

For debugging purposes, send data that could help to identify issues

kind
enum<string>
default:pre-recorded
required
Available options:
pre-recorded
Example:

"pre-recorded"

completed_at
string<date-time> | null

Completion date when status is "done" or "error"

Example:

"2023-12-28T09:04:37.210Z"

custom_metadata
object

Custom metadata given in the initial request

Example:
{ "user": "John Doe" }
error_code
integer | null

HTTP status code of the error if status is "error"

Required range: 400 <= x <= 599
Example:

500

file
object | null

The file data you uploaded. Can be null if status is "error"

request_params
object | null

Parameters used for this pre-recorded transcription. Can be null if status is "error"

result
object | null

Pre-recorded transcription's result when status is "done"